## goshs 1.0.3

=== debian/changelog ===
goshs (1.0.3-0kali1) kali-dev; urgency=medium

  * New upstream version 1.0.3

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 28 Apr 2025 16:48:15 +0200

goshs (1.0.2-0kali1) kali-dev; urgency=medium

  * CI: do not build on armel as the package is not available on the armel
  * New upstream version 1.0.2

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 31 Mar 2025 13:55:43 +0200

goshs (0.4.1-0kali1) kali-dev; urgency=medium

  [ Patrick Hener ]
  * Initial release

  [ Sophie Brun ]
  * Update debian/control for Kali
  * Fix debian/copyright
  * Remove legitimate lintian-overrides
  * Improve debian/rules: do not install source
  * Add superficial autopkgtest
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 06 Aug 2024 14:56:43 +0200

## goshs 1.0.6

=== Makefile ===
.PHONY: build-all

# uglify-js and sass needed
generate:
	@echo "[*] Minifying js and compiling scss"
	@uglifyjs -o httpserver/static/js/main.min.js assets/js/main.js
	@uglifyjs -o httpserver/static/js/color-modes.min.js assets/js/color-modes.js
	@sass --no-source-map -s compressed assets/css/style.scss httpserver/static/css/style.css
	@echo "[OK] Done minifying and compiling things"
	@echo "[*] Copying embedded files to target location"
	@rm -rf httpserver/embedded
	@cp -r embedded httpserver/

security:
	@echo "[*] Checking with gosec"
	@gosec ./...
	@echo "[OK] No issues detected"


build-all: clean generate
	@echo "[*] go mod dowload"
	@go mod download
	@echo "[*] Building for linux"
	@GOOS=linux GOARCH=amd64 go build -ldflags="-s -w" -o dist/linux_amd64/goshs
	@GOOS=linux GOARCH=386 go build -ldflags="-s -w" -o dist/linux_386/goshs
	@echo "[*] Building for windows"
	@GOOS=windows GOARCH=amd64 go build -ldflags="-s -w" -o dist/windows_amd64/goshs.exe
	@GOOS=windows GOARCH=386 go build -ldflags="-s -w" -o dist/windows_386/goshs.exe
	@echo "[*] Building for mac"
	@GOOS=darwin GOARCH=amd64 go build -ldflags="-s -w" -o dist/darwin_amd64/goshs
	@echo "[*] Building for arm"
	@GOOS=linux GOARCH=arm GOARM=5 go build -ldflags="-s -w" -o dist/arm_5/goshs
	@GOOS=linux GOARCH=arm GOARM=6 go build -ldflags="-s -w" -o dist/arm_6/goshs
	@GOOS=linux GOARCH=arm GOARM=7 go build -ldflags="-s -w" -o dist/arm_7/goshs
	@GOOS=linux GOARCH=arm64 go build -ldflags="-s -w" -o dist/arm64_8/goshs
	@echo "[OK] App binary was created!"

build-linux: clean generate
	@echo "[*] go mod dowload"
	@go mod download
	@echo "[*] Building for linux"
	@GOOS=linux GOARCH=amd64 go build -ldflags="-s -w" -o dist/linux_amd64/goshs
	@GOOS=linux GOARCH=386 go build -ldflags="-s -w" -o dist/linux_386/goshs
	@echo "[OK] App binary was created!"

build-mac: clean generate
	@echo "[*] go mod dowload"
	@go mod download
	@echo "[*] Building for mac"
	@GOOS=darwin GOARCH=amd64 go build -ldflags="-s -w" -o dist/darwin_amd64/goshs
	@echo "[OK] App binary was created!"

build-windows: clean generate
	@echo "[*] go mod dowload"
	@go mod download
	@echo "[*] Building for windows"
	@GOOS=windows GOARCH=amd64 go build -ldflags="-s -w" -o dist/windows_amd64/goshs.exe
	@GOOS=windows GOARCH=386 go build -ldflags="-s -w" -o dist/windows_386/goshs.exe
	@echo "[OK] App binary was created!"

build-arm: clean generate
	@echo "[*] go mod dowload"
	@go mod download
	@echo "[*] Building for arm"
	@GOOS=linux GOARCH=arm GOARM=5 go build -ldflags="-s -w" -o dist/arm_5/goshs
	@GOOS=linux GOARCH=arm GOARM=6 go build -ldflags="-s -w" -o dist/arm_6/goshs
	@GOOS=linux GOARCH=arm GOARM=7 go build -ldflags="-s -w" -o dist/arm_7/goshs
	@GOOS=linux GOARCH=arm64 go build -ldflags="-s -w" -o dist/arm64_8/goshs
	@echo "[OK] App binary was created!"

run:
	@go run main.go

install:
	@go install ./...
	@echo "[OK] Application was installed to go binary directory!"

clean:
	@rm -rf ./dist
	@echo "[OK] Cleaned up!"

## goshs 1.0.4

=== debian/changelog ===
goshs (1.0.4-0kali1) kali-dev; urgency=medium

  * New upstream version 1.0.4

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 06 May 2025 11:48:41 +0200

=== debian/control ===
Source: goshs
Section: net
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Rules-Requires-Root: no
Build-Depends:
 ca-certificates,
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
Standards-Version: 4.7.0
Homepage: https://github.com/patrickhener/goshs
Vcs-Browser: https://gitlab.com/kalilinux/packages/goshs
Vcs-Git: https://gitlab.com/kalilinux/packages/goshs.git
XS-Go-Import-Path: github.com/patrickhener/goshs

Package: goshs
Architecture: amd64 arm64 armhf i386
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Built-Using: ${misc:Built-Using}
Description: SimpleHTTPServer written in Go
 This tool provides a SimpleHTTPServer written in Go, enhanced with features
 and security. This package contains a simple http server like the Python
 SimpleHTTPServer but enhanced with a lot of helpful features and security in
 mind.

## goshs 1.0.5

=== debian/changelog ===
goshs (1.0.5-0parrot3) lory; urgency=medium

  [ Dario Camonita ]
  * chore(debian): use -mod=readonly

  [ Lorenzo "Palinuro" Faletra ]
  * Upload new version.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 26 Jun 2025 15:29:57 +0200

goshs (1.0.5-0parrot2) lory-updates; urgency=medium

  * Update rules with dh_auto_clean 

 -- Dario "danterolle" Camonita <danterolle@parrotsec.org>  Wed, 07 May 2025 16:36:35 +0200

goshs (1.0.5-0parrot1) lory-updates; urgency=medium

  * New upstream version 1.0.5

 -- Dario "danterolle" Camonita <danterolle@parrotsec.org>  Wed, 07 May 2025 13:13:40 +0200

goshs (1.0.4-0parrot1) lory-updates; urgency=medium

  * Initial release.

 -- Dario Camonita <danterolle@parrotsec.org>  Tue, 06 May 2025 09:59:39 +0200

=== debian/control ===
Source: goshs
Section: net
Priority: optional
Maintainer: Parrot Dev Team <team@parrotsec.org>
Uploaders: Dario Camonita <danterolle@parrotsec.org>
Rules-Requires-Root: no
Build-Depends:
 ca-certificates,
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
Standards-Version: 4.7.0
Homepage: https://github.com/patrickhener/goshs
Vcs-Browser: https://gitlab.com/parrotsec/packages/goshs
Vcs-Git: https://gitlab.com/parrotsec/packages/goshs.git
XS-Go-Import-Path: github.com/patrickhener/goshs

Package: goshs
Architecture: amd64 arm64
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Built-Using: ${misc:Built-Using}
Description: goshs - the simple, yet feature-rich web server
  goshs is a replacement for Python's SimpleHTTPServer. 
  It allows uploading and downloading via HTTP/S with either 
  self-signed certificate or user provided certificate 
  and you can use HTTP basic auth.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang

override_dh_auto_build:
	go build -buildvcs=false -mod=readonly -ldflags "-s -w" -o goshs .

override_dh_auto_test:
	echo "Skipping tests"

override_dh_auto_clean:
	rm -f goshs
	dh_auto_clean

override_dh_auto_install:
	dh_auto_install -- --no-source

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/goshs-$1\.tar\.gz/ \
  https://github.com/patrickhener/goshs/tags .*/v?(\d\S+)\.tar\.gz

## goshs 1.0.8

=== Makefile ===
--- 
+++ 
@@ -68,6 +68,41 @@
 	@GOOS=linux GOARCH=arm64 go build -ldflags="-s -w" -o dist/arm64_8/goshs
 	@echo "[OK] App binary was created!"
 
+run-unit:
+	@go test ./ca -count=1
+	@go test ./cli -count=1
+	@go test ./clipboard -count=1
+	@go test ./config -count=1
+	@go test ./logger -count=1
+	@go test ./sftpserver -count=1
+	@go test ./update -count=1
+	@go test ./utils -count=1
+	@go test ./webhook -count=1
+	@go test ./ws -count=1
+
+run-integration: clean-integration
+	@go test -v ./integration -count=1
+
+clean-integration:
+	@mkdir -p ./integration/files
+	@rm -rf ./integration/files/*
+	@cp ./integration/keepFiles/test_data.txt ./integration/files/
+	@mkdir ./integration/files/ACL
+	@mkdir ./integration/files/ACL/testfolder
+	@mkdir ./integration/files/ACLAuth
+	@mkdir ./integration/files/ACLAuth/testfolder
+	@cp ./integration/keepFiles/goshsACL ./integration/files/ACL/.goshs
+	@cp ./integration/keepFiles/testfile.txt ./integration/files/ACL/
+	@cp ./integration/keepFiles/testfile2.txt ./integration/files/ACL/
+	@cp ./integration/keepFiles/testfile2.txt ./integration/files/ACL/testfolder/
+	@cp ./integration/keepFiles/goshsACLAuth ./integration/files/ACLAuth/.goshs
+	@cp ./integration/keepFiles/testfile.txt ./integration/files/ACLAuth/
+	@cp ./integration/keepFiles/testfile2.txt ./integration/files/ACLAuth/
+	@cp ./integration/keepFiles/testfile2.txt ./integration/files/ACLAuth/testfolder/
+	@echo "cleaned up, ready for next test"
+
+run-tests: run-unit run-integration
+
 run:
 	@go run main.go
 
@@ -78,3 +113,4 @@
 clean:
 	@rm -rf ./dist
 	@echo "[OK] Cleaned up!"
+

=== debian/changelog ===
goshs (1.0.8-0kali1) kali-dev; urgency=medium

  [ Daniel Ruiz de Alegría ]
  * Update uploaders

  [ Sophie Brun ]
  * New upstream version 1.0.8

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 26 May 2025 15:02:02 +0200

goshs (1.0.6-0kali1) kali-dev; urgency=medium

  * New upstream version 1.0.6

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 13 May 2025 11:27:08 +0200

goshs (1.0.5-0kali1) kali-dev; urgency=medium

  * New upstream version 1.0.5

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 08 May 2025 11:42:47 +0200

## goshs 1.1.0

=== Makefile ===
--- 
+++ 
@@ -17,23 +17,7 @@
 	@echo "[OK] No issues detected"
 
 
-build-all: clean generate
-	@echo "[*] go mod dowload"
-	@go mod download
-	@echo "[*] Building for linux"
-	@GOOS=linux GOARCH=amd64 go build -ldflags="-s -w" -o dist/linux_amd64/goshs
-	@GOOS=linux GOARCH=386 go build -ldflags="-s -w" -o dist/linux_386/goshs
-	@echo "[*] Building for windows"
-	@GOOS=windows GOARCH=amd64 go build -ldflags="-s -w" -o dist/windows_amd64/goshs.exe
-	@GOOS=windows GOARCH=386 go build -ldflags="-s -w" -o dist/windows_386/goshs.exe
-	@echo "[*] Building for mac"
-	@GOOS=darwin GOARCH=amd64 go build -ldflags="-s -w" -o dist/darwin_amd64/goshs
-	@echo "[*] Building for arm"
-	@GOOS=linux GOARCH=arm GOARM=5 go build -ldflags="-s -w" -o dist/arm_5/goshs
-	@GOOS=linux GOARCH=arm GOARM=6 go build -ldflags="-s -w" -o dist/arm_6/goshs
-	@GOOS=linux GOARCH=arm GOARM=7 go build -ldflags="-s -w" -o dist/arm_7/goshs
-	@GOOS=linux GOARCH=arm64 go build -ldflags="-s -w" -o dist/arm64_8/goshs
-	@echo "[OK] App binary was created!"
+build-all: clean generate build-linux build-mac build-windows build-dragonfly build-freebsd build-openbsd build-netbsd
 
 build-linux: clean generate
 	@echo "[*] go mod dowload"
@@ -41,6 +25,10 @@
 	@echo "[*] Building for linux"
 	@GOOS=linux GOARCH=amd64 go build -ldflags="-s -w" -o dist/linux_amd64/goshs
 	@GOOS=linux GOARCH=386 go build -ldflags="-s -w" -o dist/linux_386/goshs
+	@GOOS=linux GOARCH=arm GOARM=5 go build -ldflags="-s -w" -o dist/linux_arm_5/goshs
+	@GOOS=linux GOARCH=arm GOARM=6 go build -ldflags="-s -w" -o dist/linux_arm_6/goshs
+	@GOOS=linux GOARCH=arm GOARM=7 go build -ldflags="-s -w" -o dist/linux_arm_7/goshs
+	@GOOS=linux GOARCH=arm64 go build -ldflags="-s -w" -o dist/linux_arm64_8/goshs
 	@echo "[OK] App binary was created!"
 
 build-mac: clean generate
@@ -48,6 +36,7 @@
 	@go mod download
 	@echo "[*] Building for mac"
 	@GOOS=darwin GOARCH=amd64 go build -ldflags="-s -w" -o dist/darwin_amd64/goshs
+	@GOOS=darwin GOARCH=arm64 go build -ldflags="-s -w" -o dist/darwin_arm64/goshs
 	@echo "[OK] App binary was created!"
 
 build-windows: clean generate
@@ -56,17 +45,71 @@
 	@echo "[*] Building for windows"
 	@GOOS=windows GOARCH=amd64 go build -ldflags="-s -w" -o dist/windows_amd64/goshs.exe
 	@GOOS=windows GOARCH=386 go build -ldflags="-s -w" -o dist/windows_386/goshs.exe
+	@GOOS=windows GOARCH=arm GOARM=5 go build -ldflags="-s -w" -o dist/windows_arm_5/goshs.exe
+	@GOOS=windows GOARCH=arm GOARM=6 go build -ldflags="-s -w" -o dist/windows_arm_6/goshs.exe
+	@GOOS=windows GOARCH=arm GOARM=7 go build -ldflags="-s -w" -o dist/windows_arm_7/goshs.exe
+	@GOOS=windows GOARCH=arm64 go build -ldflags="-s -w" -o dist/windows_arm64_8/goshs.exe
 	@echo "[OK] App binary was created!"
 
-build-arm: clean generate
+build-dragonfly: clean generate
 	@echo "[*] go mod dowload"
 	@go mod download
-	@echo "[*] Building for arm"
-	@GOOS=linux GOARCH=arm GOARM=5 go build -ldflags="-s -w" -o dist/arm_5/goshs
-	@GOOS=linux GOARCH=arm GOARM=6 go build -ldflags="-s -w" -o dist/arm_6/goshs
-	@GOOS=linux GOARCH=arm GOARM=7 go build -ldflags="-s -w" -o dist/arm_7/goshs
-	@GOOS=linux GOARCH=arm64 go build -ldflags="-s -w" -o dist/arm64_8/goshs
+	@echo "[*] Building for dragonfly"
+	@GOOS=dragonfly GOARCH=amd64 go build -ldflags="-s -w" -o dist/dragonfly_amd64/goshs
 	@echo "[OK] App binary was created!"
+
+build-freebsd: clean generate
+	@echo "[*] go mod dowload"
+	@go mod download
+	@echo "[*] Building for freebsd"
+	@GOOS=freebsd GOARCH=amd64 go build -ldflags="-s -w" -o dist/freebsd_amd64/goshs
+	@GOOS=freebsd GOARCH=386 go build -ldflags="-s -w" -o dist/freebsd_386/goshs
+	@GOOS=freebsd GOARCH=arm GOARM=5 go build -ldflags="-s -w" -o dist/freebsd_arm_5/goshs
+	@GOOS=freebsd GOARCH=arm GOARM=6 go build -ldflags="-s -w" -o dist/freebsd_arm_6/goshs
+	@GOOS=freebsd GOARCH=arm GOARM=7 go build -ldflags="-s -w" -o dist/freebsd_arm_7/goshs
+	@GOOS=freebsd GOARCH=arm64 go build -ldflags="-s -w" -o dist/freebsd_arm64_8/goshs
+	@echo "[OK] App binary was created!"
+
+build-openbsd: clean generate
+	@echo "[*] go mod dowload"
+	@go mod download
+	@echo "[*] Building for openbsd"
+	@GOOS=openbsd GOARCH=amd64 go build -ldflags="-s -w" -o dist/openbsd_amd64/goshs
+	@GOOS=openbsd GOARCH=386 go build -ldflags="-s -w" -o dist/openbsd_386/goshs
+	@GOOS=openbsd GOARCH=arm GOARM=5 go build -ldflags="-s -w" -o dist/openbsd_arm_5/goshs
+	@GOOS=openbsd GOARCH=arm GOARM=6 go build -ldflags="-s -w" -o dist/openbsd_arm_6/goshs
+	@GOOS=openbsd GOARCH=arm GOARM=7 go build -ldflags="-s -w" -o dist/openbsd_arm_7/goshs
+	@GOOS=openbsd GOARCH=arm64 go build -ldflags="-s -w" -o dist/openbsd_arm64_8/goshs
+	@echo "[OK] App binary was created!"
+
+build-netbsd: clean generate
+	@echo "[*] go mod dowload"
+	@go mod download
+	@echo "[*] Building for netbsd"
+	@GOOS=netbsd GOARCH=amd64 go build -ldflags="-s -w" -o dist/netbsd_amd64/goshs
+	@GOOS=netbsd GOARCH=386 go build -ldflags="-s -w" -o dist/netbsd_386/goshs
+	@GOOS=netbsd GOARCH=arm GOARM=5 go build -ldflags="-s -w" -o dist/netbsd_arm_5/goshs
+	@GOOS=netbsd GOARCH=arm GOARM=6 go build -ldflags="-s -w" -o dist/netbsd_arm_6/goshs
+	@GOOS=netbsd GOARCH=arm GOARM=7 go build -ldflags="-s -w" -o dist/netbsd_arm_7/goshs
+	@GOOS=netbsd GOARCH=arm64 go build -ldflags="-s -w" -o dist/netbsd_arm64_8/goshs
+	@echo "[OK] App binary was created!"
+
+new-version:
+ifndef VERSION
+	$(error Usage: make new-version VERSION=vX.Y.Z)
+endif
+	@echo "Updating version to $(VERSION)..."
+	@sed -i 's/var GoshsVersion = "v[^"]*"/var GoshsVersion = "$(VERSION)"/' goshsversion/version.go
+	@sed -i 's|https://img.shields.io/badge/Version-v[^-]*-green|https://img.shields.io/badge/Version-$(VERSION)-green|' README.md
+	@git add goshsversion/version.go README.md
+	@git commit -m "New version $(VERSION)"
+	@git push
+	@git tag $(VERSION)
+	@git push origin $(VERSION)
+	@docker build -t patrickhener/goshs:$(VERSION) .
+	@docker build -t patrickhener/goshs:latest .
+	@docker push patrickhener/goshs:$(VERSION)
+	@docker push patrickhener/goshs:latest
 
 run-unit:
 	@go test ./ca -count=1

=== debian/changelog ===
goshs (1.1.0-0kali1) kali-dev; urgency=medium

  * New upstream version 1.1.0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 03 Jun 2025 11:26:00 +0200

=== debian/control ===
Source: goshs
Section: net
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders:
 Sophie Brun <sophie@offensive-security.com>,
 Daniel Ruiz de Alegría <daniruiz@kali.org>,
Rules-Requires-Root: no
Build-Depends:
 ca-certificates,
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
Standards-Version: 4.7.2
Homepage: https://github.com/patrickhener/goshs
Vcs-Browser: https://gitlab.com/kalilinux/packages/goshs
Vcs-Git: https://gitlab.com/kalilinux/packages/goshs.git
XS-Go-Import-Path: github.com/patrickhener/goshs

Package: goshs
Architecture: amd64 arm64 armhf i386
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Built-Using: ${misc:Built-Using}
Description: SimpleHTTPServer written in Go
 This tool provides a SimpleHTTPServer written in Go, enhanced with features
 and security. This package contains a simple http server like the Python
 SimpleHTTPServer but enhanced with a lot of helpful features and security in
 mind.

=== debian/watch ===


## goshs 1.1.1

=== Makefile ===
--- 
+++ 
@@ -111,7 +111,7 @@
 	@docker push patrickhener/goshs:$(VERSION)
 	@docker push patrickhener/goshs:latest
 
-run-unit:
+run-unit: clean-tests
 	@go test ./ca -count=1
 	@go test ./cli -count=1
 	@go test ./clipboard -count=1
@@ -123,10 +123,22 @@
 	@go test ./webhook -count=1
 	@go test ./ws -count=1
 
-run-integration: clean-integration
+run-unit-no-network:
+	@go test -short ./ca -count=1
+	@go test -short ./cli -count=1
+	@go test -short ./clipboard -count=1
+	@go test -short ./config -count=1
+	@go test -short ./logger -count=1
+	@go test -short ./sftpserver -count=1
+	@go test -short ./update -count=1
+	@go test -short ./utils -count=1
+	@go test -short ./webhook -count=1
+	@go test -short ./ws -count=1
+
+run-integration: clean-tests
 	@go test -v ./integration -count=1
 
-clean-integration:
+clean-tests:
 	@mkdir -p ./integration/files
 	@rm -rf ./integration/files/*
 	@cp ./integration/keepFiles/test_data.txt ./integration/files/
@@ -142,6 +154,8 @@
 	@cp ./integration/keepFiles/testfile.txt ./integration/files/ACLAuth/
 	@cp ./integration/keepFiles/testfile2.txt ./integration/files/ACLAuth/
 	@cp ./integration/keepFiles/testfile2.txt ./integration/files/ACLAuth/testfolder/
+	@rm -rf ./sftpserver/testdir
+	@rm -f ./sftpserver/test.txt
 	@echo "cleaned up, ready for next test"
 
 run-tests: run-unit run-integration

=== debian/changelog ===
goshs (1.1.1-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control
  * Drop armel-related variable from CI (no more armel runner)

  [ Sophie Brun ]
  * Update my email
  * New upstream version 1.1.1

 -- Sophie Brun <sophie@kali.org>  Thu, 25 Sep 2025 15:18:20 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
 Uploaders:
- Sophie Brun <sophie@offensive-security.com>,
+ Sophie Brun <sophie@kali.org>,
  Daniel Ruiz de Alegría <daniruiz@kali.org>,
-Rules-Requires-Root: no
 Build-Depends:
  ca-certificates,
  debhelper-compat (= 13),

=== debian/rules ===
#!/usr/bin/make -f

export GOCACHE=$(CURDIR)/vendor
export GOPATH=$(CURDIR)/vendor

%:
	dh $@ --buildsystem=golang

override_dh_auto_build:
	go mod download
	go build -mod=readonly -modcacherw -ldflags "-s -w" -o goshs .

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_auto_test:

=== debian/tests/control ===
Test-Command: goshs --help
Restrictions: superficial

## goshs 1.1.2

=== debian/changelog ===
goshs (1.1.2-0parrot1) echo; urgency=medium

  * Import new upstream release.
  * Sync with Kali packaging.
  * Rebuild for Parrot 7.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 24 Nov 2025 00:08:59 +0100

=== debian/control ===
Source: goshs
Section: net
Priority: optional
Maintainer: Parrot Dev Team <team@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends:
 ca-certificates,
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
Standards-Version: 4.7.2
Homepage: https://github.com/patrickhener/goshs
XS-Go-Import-Path: github.com/patrickhener/goshs

Package: goshs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Built-Using: ${misc:Built-Using}
Description: SimpleHTTPServer written in Go
 This tool provides a SimpleHTTPServer written in Go, enhanced with features
 and security. This package contains a simple http server like the Python
 SimpleHTTPServer but enhanced with a lot of helpful features and security in
 mind.

## goshs 1.1.3

=== debian/changelog ===
goshs (1.1.3-0kali1) kali-dev; urgency=medium

  * New upstream version 1.1.3
  * Update debian/watch to version 5

 -- Sophie Brun <sophie@kali.org>  Wed, 17 Dec 2025 16:41:45 +0100

goshs (1.1.2-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Set Architectures to any (armel is gone)

  [ Daniel Ruiz de Alegría ]
  * New upstream version 1.1.2

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 17 Nov 2025 08:39:34 +0100

=== debian/watch ===
Version: 5
Template: Github
Owner: patrickhener
Project: goshs
